Bug 1473943 - [RFE] [6.3] Describe how to add and remove SSH keys to and from users in the user interface
[RFE] [6.3] Describe how to add and remove SSH keys to and from users in the ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Server Administration Guide (Show other bugs)
6.3.0
Unspecified Unspecified
medium Severity medium (vote)
: GA
: 6.X
Assigned To: csherrar
Stephen Wadeley
: FutureFeature, Reopened
Depends On:
Blocks: 1486095 1493109
  Show dependency treegraph
 
Reported: 2017-07-22 11:43 EDT by Andrew Dahms
Modified: 2018-02-01 09:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-01 09:22:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Dahms 2017-07-22 11:43:16 EDT
Red Hat Satellite 6.3 adds the ability to add and remove SSH keys to and from users via the user interface, Hammer, and the API. This bug is a tracker to add instructions on adding and removing SSH keys as procedures in the Server Administration Guide.
Comment 2 Andrew Dahms 2017-08-01 21:27:44 EDT
Assigning to Charles for review.
Comment 4 Jitendra Yejare 2017-08-02 07:12:56 EDT
Satellite Admin can add User SSH key in already created user(e.g SuperAdmin) and also while creating new user. The procedure and tab for adding/deleting the ssh-key for all the users including SuperAdmin is same.

Procedure to Add SSH Key in Users:

1. Login in satellite with Admin(or with user having permissions to add ssh key)
2. Go to Administer -> Users -> (choose the user in list)
3. Select SSH Keys tab in user you selected above
4. Click on 'Create SSH Key' button to open the ssh key template
5. Add user ssh key in 'Key' textfield then the 'Name' field will automatically populate but you can also override/modify that name.
6. Click on submit to save the SSH Key
7. The SSH Key with name, fingerprint, length, created time and action to delete the ssh key will appear in SSH Keys tab.
8. Notification for successful addition of ssh key in user will be displayed


The procedure to Delete SSH Key in Users:

1. Login in satellite with Admin(or with user having permissions to delete ssh key)
2. Go to Administer -> Users -> (choose the user in list)
3. Select SSH Keys tab in user you selected above
4. Choose the already created SSH Key to delete
5. Click on Delete button for that specific SSH Key
6. Confirmation Dialog will appear to delete the ssh key
7. SSH key will be deleted from Satellite
8. Notification for successful deletion of ssh key in user will be displayed


Hope that this will help you.
Comment 12 Charles Wood 2017-08-14 03:54:20 EDT
I have checked master is up-to-date.

The content is now live on 6.3. 

Closing next release...
Comment 16 Andrew Dahms 2017-11-08 20:45:56 EST
Assigning to Clifton for review.

Clifton - we will need to do the following:

* Add a note to the existing procedure added by Charles that calls out why this 
  function was added - so that it is possible to deploy these keys during 
  provisioning.

* Create a new section in the Provisioning Guide as a sub-section to the 
  'Creating Provisioning Templates' section that covers all the necessary
  steps and tells users why this is helpful.

The sections will also need to refer to one another so that users in the SSH keys procedure know what it is used for, and users in the Provisioning Guide know where they need to go first.

Note You need to log in before you can comment on or make changes to this bug.